// ==UserScript==
// @include syndicates-online.de/php/syndicate
// @name Calculate Fox
// @author Torsten Keil
// @namespace http://www.torsten-keil.net/ 
// @version 1.0.0
// @description Calculates Fox and adds a new column
// ==/UserScript==
document.addEventListener(
    'load',
    function (e) {

	var allElements;

	allElements = document.getElementsByTagName('TR');

	for (var j = 0; j < allElements.length; j++)
	{
		el = allElements[j];

		if (el.className) {
			
			if (el.className == 'tableHead') {
				if(el.childNodes[0].colSpan == 6) {
					el.childNodes[0].colSpan = 7;
				}
			} else if (el.className == 'tableHead2') {
				if(el.childNodes[0].colSpan == 6) {
					el.childNodes[0].colSpan = 7;
				} else {
					foxCell = document.createElement("td");
					foxCell.className = "foxcell";
					foxCell.align = "center";
					foxCell.width = "50";
					foxCell.appendChild(document.createTextNode("Fox"));
					el.insertBefore(foxCell, el.childNodes[5]);
				}
			} else if (el.className == 'tableInner1') {
				value = calc(el.childNodes[3].firstChild.nodeValue, el.childNodes[4].firstChild.nodeValue);
				foxValue = document.createElement("td");
				foxValue.className = "foxValue";
				foxValue.align = "center";
				foxValue.width = "50";
				foxValue.appendChild(document.createTextNode(value));
				el.insertBefore(foxValue, el.childNodes[5]);
			} else if (el.className == 'tableInner2') {
				if (el.childNodes.length == 4) { // Summenzeile
					value = calc(el.childNodes[1].firstChild.firstChild.nodeValue, el.childNodes[2].firstChild.firstChild.nodeValue);
					foxSum = document.createElement("td");
					foxSum.className = "foxSum";
					foxSum.align = "center";
					foxSum.width = "50";
					foxSum.appendChild(document.createTextNode(value));
					el.insertBefore(foxSum, el.childNodes[3]);
				}
				if (el.childNodes.length == 6) {
					value = calc(el.childNodes[3].firstChild.nodeValue, el.childNodes[4].firstChild.nodeValue);
					foxValue = document.createElement("td");
					foxValue.className = "foxValue";
					foxValue.align = "center";
					foxValue.width = "50";
					foxValue.appendChild(document.createTextNode(value));
					el.insertBefore(foxValue, el.childNodes[5]);
				}
			} else {
				if(el.childNodes[0].colSpan == 6) {
					el.childNodes[0].colSpan = 7;
				}
			}
		}
	}
    },
    false
);

function calc(var1, var2) {
	var1 = removeDot(var1);
	var2 = removeDot(var2);
	ret = Math.round(var2*10/var1);
		if (ret % 10 != 0)
			ret = ret/10;
		else
			ret = ret/10 + ".0";
		ret += "";
		var parts = ret.split(".");
	return parts[0] + "," + parts[1];
}

function removeDot(s)
{
	var j;
	var t = "" + s;
	var sub = t.split('.');
	var erg = "";

	for (j = 0; j < sub.length; j++)
		erg += sub[j];

	return erg;
}